当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 最最簡單實現ATI RADEON X* Series驅動 的安裝及3D![原帖在硬件區,再輯並發表於此]
帖子发表于 : 2008-04-20 16:02 

注册: 2008-04-16 19:44
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
以下教程並不全是鄙人的發現。其是偶在結合網上下的教程進行實踐中的改善。
並且,鄙人没有嘗試3D特效,衹是安裝了驅動--但根據本人的經驗與見聞,驅動 的安裝之困難才是整個程的重點,所所以下旦會裝驅動 了,3D就容易實現了。
================
没有記下此教程之原作者屬何人,在此衹能表示衷心的感謝!
================

一。首先安装显卡驱动
去ATI官網下一個最新的吧,記得要適合你的系统的--地址自己搜下吧,忘了
不過從我個人的經驗來看,ATI的一個驅動往往支持好多卡,有時也會32位和64位的系統一起支持_有點變態吧--這就是鬼佬 。
下載了就要安裝:
先把下載下來的驅動文件名改一下,比如改成 ati.run
然後COPY到主文件夾下
用終端運行代碼:
sudo sh ati.run
然後就是一般的软件安裝過程了~~

====
如果安裝不了,可以切換到root用戶下去裝。
驅動 文件也放到主文件夾下。
運行的代碼變成了: sh ati.run
----
還安裝不了的話就Google或百度一下怎麼 安裝run格式文件吧。。。。
====

安裝完驅動 還沒完呢,耐心點按下面的去做吧~乖乖~

二、下面两条指令:
sudo mkdir /lib/modules/$(uname -r)/volatile
sudo ln -sf /lib/modules/$(uname -r)/misc/fglrx.ko /lib/modules/$(uname -r)/volatile/fglrx.ko
如果顯示出錯,就要看下modules之下哪裏 有“misc”“volatile”這兩個文件夾了,把$(uname -r)改成相關的路徑就可以了。
比如我的系統裏,“volatile”在“/lib/modules/2.6.22-14-generic/”之下,“misc”在“/lib/modules/2.6.22-14-generic/ubuntu/”之下。所以我執行的命令就成了:
sudo mkdir /lib/modules/2.6.22-14-generic/volatile
sudo ln -sf /lib/modules/2.6.22-14-generic/ubuntu/misc/fglrx.ko /lib/modules/2.6.22-14-generic/volatile/fglrx.ko
以上第二條指令的含義是:把“/lib/modules/2.6.22-14-generic/volatile/”的“fglrx.ko”建立虛拟映射路徑到“/lib/modules/2.6.22-14-generic/ubuntu/misc/”之下,因此, “/lib/modules/2.6.22-14-generic/ubuntu/misc/”是沒有“fglrx.ko”文件的,但是 “/lib/modules/2.6.22-14-generic/volatile/”下必須有~如果没有就COPY去吧, “/lib/modules/fglrx/”下面有。

使系统自动载入fglrx模块
sudo gedit /etc/init.d/ati-module-fix
運行以上代碼後會彈出一個空白文檔,填入以下代碼:


#!/bin/sh -e

# For loading ATI display drivers

ln -sf /lib/modules/$(uname -r)/misc/fglrx.ko /lib/modules/$(uname -r)/volatile/fglrx.ko
exit 0

==========
注意!以上代碼中最後一行要根據你剛才找到的“music”“volatile”的實際路徑填寫正確了!比如我這裏就是:

ln -sf /lib/modules/2.6.22-14-generic/ubuntu/misc/fglrx.ko /lib/modules/2.6.22-14-generic/volatile/fglrx.ko
exit 0

保存,退出。
然后执行:
sudo chmod ugo+x /etc/init.d/ati-module-fix
然後,用命令:ls /etc/rc2.d/
检查GDM的顺序号,再減去1,得到的數代替下面代碼的“29”(注意我的是29,你的可能不是29,自己算好了再输入以上命令)。
sudo update-rc.d ati-module-fix defaults 29

14.重启电脑--強烈建議在重啟前看清下一步“注意不要去改动“受限驱动管理器””!重啟後便會發現其作用!

运行以下命令:
sudo aticonfig –-initial
sudo aticonfig –-overlay-type=Xv

15。再重启。

執行:
sudo shutdown -r now

注意不要去改动“受限驱动管理器”,这时会自动启用新驱动。

16。逐條用以下命令检测一下是否安装成功:
fglrxinfo
glxinfo |grep -e 'direct' -e 'OpenGL'
glxinfo |grep render

我的结果是:

$ fglrxinfo

display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI RADEON X1200 Series
OpenGL version string: 2.1.7415 Release

$ glxinfo |grep -e 'direct' -e 'OpenGL'

direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI RADEON X1200 Series
OpenGL version string: 2.1.7415 Release
OpenGL extensions:

zhu@zhu-desktop:~$ glxinfo |grep render
direct rendering: Yes
OpenGL renderer string: ATI RADEON X1200 Series

$ glxgears

44676 frames in 5.0 seconds = 8935.173 FPS
44780 frames in 5.0 seconds = 8955.928 FPS
44805 frames in 5.0 seconds = 8960.891 FPS
44794 frames in 5.0 seconds = 8958.768 FPS
44779 frames in 5.0 seconds = 8955.728 FPS
44790 frames in 5.0 seconds = 8957.918 FPS
44787 frames in 5.0 seconds = 8957.377 FPS
44749 frames in 5.0 seconds = 8949.653 FPS
44750 frames in 5.0 seconds = 8949.860 FPS
44747 frames in 5.0 seconds = 8949.380 FPS
44727 frames in 5.0 seconds = 8945.276 FPS
44753 frames in 5.0 seconds = 8950.423 FPS
44755 frames in 5.0 seconds = 8950.959 FPS
44726 frames in 5.0 seconds = 8945.162 FPS
……
相比默认驱动性能提高好多倍--看祂界面和窗口彈出的優美動作就是興奮的!!!而且ATI的驱动控制中心也能打开了。

至此,驅動完全成功!!!



===================
以下是簡單安裝3D的方法,且是安裝0.7.1版!
===================

3D的大家可以安裝COMPIZ0.7.1版哦,很簡單很方便的呢~~~
偶剛才在網絡上發現了一個很好的方法呢: -----鄙人嘗試過成功的!

======================
请大家爱惜一点、经济一点使用该源,否则难保哪天又出现带宽超额。

这个是我无意中搜到的,但发现源有问题,与Quattro沟通后终于今日更新,不敢独享。

添加源到/etc/apt/sources.list:
調出sources.list代碼:
引用:
sudo gedit /etc/apt/sources.list

源:
引用:
# Quattro's Ubuntu Gutsy EyeCandy Repository (GPG key: 641AC84F)
deb http://kwatrow.nl/repo Gutsy compiz-fusion-git

然后
執行代码:[此代碼繁雜,建議直接復制到終端粘帖的]
引用:
sudo wget http://kwatrow.nl/repo/Quattro.gpg -O- | sudo apt-key add -


安装:把原有的compiz统统用新立得彻底删除干净
或者代碼刪除:
代码:
引用:
sudo apt-get autoremove --purge compiz compiz-* emerald*


然后
代码:
引用:
sudo apt-get install compiz compizconfig-settings-manager compiz-core compiz-fusion-plugins-extra compiz-fusion-plugins-unsupported emerald emerald-themes


至此更新完毕。
======================


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-20 16:10 

注册: 2008-04-16 19:44
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
鄙人的顯卡是ATI RADEON X* Series的,但是,本帖方法可以建議所有的ATI顯卡都試一下!
而且,根據網上的消息,用最新的8.04系統可以不必安裝驅動 實現系統本身所帶之COMPIZ,如此,則相對之下要實現3D就不衹是a cake那麼easy而已了


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-20 16:28 
头像

注册: 2007-12-08 23:33
帖子: 4088
地址: SCUT-guangzhou
送出感谢: 0 次
接收感谢: 0 次
貌似,现在用受限驱动就可以了~~
还有lz不会简体字吗,看起来很费眼!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-20 16:37 

注册: 2008-04-16 19:44
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
sammysun 写道:
貌似,现在用受限驱动就可以了~~
还有lz不会简体字吗,看起来很费眼!


呵呵,會啊,不過不習慣了~ -_-! 打五筆簡體和繁體不同編碼嘛~


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-04-26 21:44 

注册: 2007-04-24 11:38
帖子: 210
地址: 火星中国
送出感谢: 0 次
接收感谢: 0 次
照步骤作到 sudo aticonfig –-initial 出现
Invalid option: –-initial
"aticonfig --help" for more infomation.
aticonfig: parsing the command-line failed.


剩下的可知了,驱动没上去


_________________
我喜欢你就要喜欢你的一切!~
ATI驱动驱不上去的看


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-04-26 22:15 

注册: 2006-04-21 16:45
帖子: 157
送出感谢: 0 次
接收感谢: 0 次
tangjihede 写道:
照步骤作到 sudo aticonfig –-initial 出现
Invalid option: –-initial
"aticonfig --help" for more infomation.
aticonfig: parsing the command-line failed.


剩下的可知了,驱动没上去


错了,不是──initial 是 --initial,两个英文横杠


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-04-27 1:37 

注册: 2007-09-08 16:20
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
我也是安装到了
sudo aticonfig –-initial
sudo aticonfig –-overlay-type=Xv

时出现错误,怎么都弄不好。
后来看了下面的回帖才知道的。

强烈建议楼主把贴子里的错误修改一下,免得更多的人安装失败!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-04-27 7:34 

注册: 2007-03-18 19:57
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
我的a卡 怎么开了效果就一片白屏?现在都进去不了


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-04-27 10:14 
头像

注册: 2008-02-06 13:30
帖子: 172
地址: 浙江嘉兴
送出感谢: 0 次
接收感谢: 0 次
~$ sudo aticonfig --overlay-type=Xv
Warning: Option 'VideoOverlay' doesn't affect running session.
Warning: Option 'OpenGLOverlay' doesn't affect running session.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-1


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-04-27 15:43 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
引用:
sudo aticonfig --overlay-type=Xv
Warning: Option 'VideoOverlay' doesn't affect running session.
Warning: Option 'OpenGLOverlay' doesn't affect running session.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-1

嗯,到这一步的时候我也是这个结果。后面完成不了,装成了MESA!
这回都不知道怎么卸载了……


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-04-28 14:02 
头像

注册: 2006-04-10 19:25
帖子: 171
地址: 北京
送出感谢: 0 次
接收感谢: 0 次
太强大了,我的X200都有3D特效了


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-04-28 14:19 

注册: 2008-04-28 14:11
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
受限,再说一遍,受限!

另外我的X200连双屏都能用,3D算个屁,本来在7.04的时候就可以用3D,如果你不会说明你。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译